#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "Unit2.h"
#include "Unit4.h"
#include "UnitPr.h"
#include "Unit6.h"
#include "Unit3.h"

#include "include\extern.h"
#include "include\mv.h"
#include "dlldrv\dlldrv.h"
#include "include\init.h"
#include "include\mverr.h"
#include "include\disp.h"
#include "include\mody.h"

#include <sys\types.h>
#include <inifiles.hpp>
#include <iostream.h>
#include <conio.h>
#include <stdlib.h>
#include <inifiles.hpp>
#include <time.h>
#include <classes.hpp>

#pragma package(smart_init)
#pragma link "CSPIN"
#pragma resource "*.dfm"


__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}

int g_loging;
unsigned __int16 * buffer;
int bufferpitch;
Graphics::TBitmap *pBitmap;
DEV_T FAR* dev = NULL;
int HEIGHT;
int *height_table = NULL;
int g_pr = 0;
int g_konec = 0;
int g_exit_win;
TForm1 *Form1;

/************************
      EZ-Capture
*************************/

HWND HandleStinitka = 0;
int gDriverCount; //pocet driveru
bool DriverNapojen = false;
bool Snimam = false;  //priznak beziciho obrazu
CAPDRIVERCAPS gCapDriverCaps; //vlastnosti driveru
CAPSTATUS gCapStatus; //stav okna
bool OknoViditelne;
int EZx, EZy, EZw, EZh;

void EZinit() {
  DriverNapojen = false;
  Snimam = false;
  OknoViditelne = false;
  HandleStinitka = 0;
}

int EZVytvorOkno(int x, int y, int w, int h) {
  if (HandleStinitka) return 0;
  HandleStinitka = capCreateCaptureWindow("WATEC: EZ-Capture",
    WS_OVERLAPPED|WS_POPUP|WS_VISIBLE|WS_BORDER|WS_DLGFRAME,
    x,y,w+capDX,h+capDY,Form1->Handle,0);
  if (!HandleStinitka) return 0;
  else {
    OknoViditelne = true;
    return 1;
  }
}

int EZPocetDriveru()
{
  char Verze[80];
  char VerzeDriveru[160];
  gDriverCount = 0;
  for (int i = 0; i < MAXVIDDRIVERS; i++) {
    if (capGetDriverDescription(i,(LPSTR)VerzeDriveru, sizeof(VerzeDriveru),
                                  (LPSTR)Verze, sizeof(Verze))) gDriverCount++;
  }
  return gDriverCount;
}

int EZInicializaceHardwaru() {
  if (!capDriverConnect(HandleStinitka, 0)) { //inicializuji vzdy driver #0 */
    DriverNapojen = false;
    return 0;
  }
  else DriverNapojen = true;
  Form1->msg("EZInit(): EZ driver successfully connected.",0);
  capDriverGetCaps(HandleStinitka,&gCapDriverCaps,sizeof(CAPDRIVERCAPS)); //nacist vlastnosti
  capGetStatus(HandleStinitka,&gCapStatus,sizeof(gCapStatus));
  capPreviewRate(HandleStinitka,vidPERIOD);
  return 1;
}

int EZStart_Stop_video() {
  if (!DriverNapojen) return 0;
  Snimam = !Snimam;
  capPreview(HandleStinitka,FALSE);
  capOverlay(HandleStinitka,(BOOL)Snimam);
/*capPreview(HandleStinitka,(BOOL)Snimam);  //transfer pres pamet
  capOverlay(HandleStinitka,FALSE);  //Overlay vzdy vypnut */
  return 1;
}

int EZstart() {
  EZinit();
  TIniFile *ini = new TIniFile( ChangeFileExt(Application->ExeName,".ini") );
  if (!EZVytvorOkno(ini->ReadInteger(EZcaption,"X",0),ini->ReadInteger(EZcaption,"Y",0),
                  ini->ReadInteger(EZcaption,"W",320),ini->ReadInteger(EZcaption,"H",240))) {
    Form1->msg("Tvidcap::Execute(): ERROR: Cannot create EZ-Capture window.",1);
    return 0;
  }
  EZPocetDriveru();
  if (gDriverCount==0) {
    Form1->msg("Tvidcap::Execute(): ERROR: No driver present.",1);
    DestroyWindow(HandleStinitka);
    HandleStinitka = 0;
    return 0;
  }
  if (!EZInicializaceHardwaru()) {
    Form1->msg("Tvidcap::Execute(): ERROR: Cannot initialize capture driver.",1);
    DestroyWindow(HandleStinitka);
    HandleStinitka = 0;
    return 0;
  }
  EZStart_Stop_video();
  return 1;
}

void EZZobrazit_Skryt() {
  if (!DriverNapojen) return;
  if (OknoViditelne) {
    ShowWindow(HandleStinitka,SW_HIDE);
    OknoViditelne = false;
  }
  else {
    ShowWindow(HandleStinitka,SW_SHOW);
    OknoViditelne = true;
  }
}

void EZuloz(AnsiString jm) {
  capGrabFrameNoStop(HandleStinitka);
  if (!capFileSaveDIB(HandleStinitka,jm.c_str())) Form1->msg("EZsave(): WARNING: Cannot save file: "+jm+".",1);
}

void EZZavrit() {
  if (!DriverNapojen || !HandleStinitka) return;
  Form1->msg("EZClose(): Closing device EZ-Capture...",0);
  RECT poloha;
  GetWindowRect(HandleStinitka,&poloha);
  TIniFile *ini = new TIniFile( ChangeFileExt( Application->ExeName, ".ini") );
  ini->WriteInteger(EZcaption,"X",poloha.left);
  ini->WriteInteger(EZcaption,"Y",poloha.top);
  ini->WriteInteger(EZcaption,"W",poloha.right-poloha.left-capDX);
  ini->WriteInteger(EZcaption,"H",poloha.bottom-poloha.top-capDY);
  delete ini;
  if (!capDriverDisconnect(HandleStinitka)) Form1->msg("EZClose(): ERROR: Cannot disconnect driver.",0);
  if (!DestroyWindow(HandleStinitka)) Form1->msg("EZClose(): ERROR: Cannot destroy Watec window.",0);
  Form1->msg("EZClose(): Closing done.",0);
}

/************************
          SDIG
*************************/

int SetSizeTables()
{
	if (height_table!=NULL) free(height_table);
	if ((height_table = (int*)malloc(MAXHEIGHT*sizeof(int)))==NULL) {
    Form1->msg("SetSizeTables(): ERROR: Not enough memory.",1);
    return 0;
  }
  for (int i=0; i<HEIGHT; i++)
		height_table[i] = (int)((double)MAXHEIGHT/(double)HEIGHT * (double)i);
  return 1;
}

void DeleteSizeTables()
{
  if (height_table!=NULL) free(height_table);
  height_table = NULL;
}

void __fastcall TForm1::msg(AnsiString txt, int show)
{
  if (!g_loging)
    if (show) ShowMessage(txt);
  AnsiString log = ActualPath + CAMLOG, logline;
  FILE *logf;
  if ((logf = fopen(log.c_str(),"at"))==NULL) {
    ShowMessage("ERROR: Can't open log file " + log + ".");
    g_loging = 0;
    return;
  }
  Word Year, Month, Day, Hour, Min, Sec, MSec;
  TDateTime cas = Now();
  DecodeTime(cas, Hour, Min, Sec, MSec);
  DecodeDate(cas, Year, Month, Day);
  logline = "[" + IntToStr(Day) + "." + IntToStr(Month) + "." + IntToStr(Year) +
            ", " + IntToStr(Hour) + ":" + IntToStr(Min) + ":" + IntToStr(Sec) +
            "]  " + txt;
  Memo1->Lines->Add(logline);
  logline = "* " + logline + '\n';
  fwrite(logline.c_str(),strlen(logline.c_str()),1,logf);
  fclose(logf);
  if (show) ShowMessage(txt);
}

void SetGrayPalette(Graphics::TBitmap *btmp)
{
  btmp->Width = WIDTH;
  btmp->Height = HEIGHT;
  btmp->PixelFormat = pf8bit;
  typedef struct {
    TLogPalette lPal;
    TPaletteEntry dummy[256];
  } LogPal;
  LogPal SysPal;
  SysPal.lPal.palVersion = 0x300;
  SysPal.lPal.palNumEntries = 256;
  for (int i=0; i<256; i++)
  {
    SysPal.dummy[i].peRed = (Byte)i;
    SysPal.dummy[i].peBlue = (Byte)i;
    SysPal.dummy[i].peGreen = (Byte)i;
    SysPal.dummy[i].peFlags = 0;
  }
  btmp->Palette = CreatePalette(&SysPal.lPal);
}

int InitDyn(DEV_T FAR* dev)
{
  Form1->msg("InitDyn(): Memory allocation.",0);
  buffer = ((unsigned __int16 *)mvGetRowAdr(dev,0,0));
  bufferpitch = ((unsigned __int16 *)mvGetRowAdr(dev,0,1)) - buffer;
  Form1->msg("InitDyn(): buffer pitch: " + IntToStr(bufferpitch),0);
  return 1;
}

void DisposeInits()
{
  delete pBitmap;
}

DEV_T FAR* InitDevice(char* inifile, int* result)
{
  return OpenDevice(NULL,inifile,result);
}

short DeviceClose(DEV_T FAR* dev)
{
	if (dev == NULL) return -1;
	return CloseDevice();
}

WORD ReadError(DEV_T FAR* dev, char* cErrorMessage)
{
	WORD ErrCode;
	ErrCode = GetErr(dev);
	if ( ErrCode != NO_ERR )
	{
		if (!IsWarning(dev) || !IsFatalError(dev))
			sprintf (cErrorMessage, "ERROR: %s", GetErrStr(dev));
	}
	else strcpy(cErrorMessage,"");
  ClearErr(dev);
  return ErrCode;
}

t_header* new_header(int HEIGHT,unsigned int Year,unsigned int Month,unsigned int Day,
                unsigned int Hour,unsigned int Min,unsigned int Sec,unsigned int MSec,
                int compress) {
  t_header *hlav;
  if ((hlav = (t_header*)malloc(sizeof(t_header)))==NULL) {
    Form1->msg("new_header(): ERROR: Not enough memory.",1);
    return NULL;
  }
  strcpy((char*)&hlav->tri,TRI);
  hlav->version = DIG_VERSION;
  hlav->compressed = (compress ? 'c' : ' ');
  hlav->compr_eng_ver = COMPRESS_ENGINE_VERSION;
  strcpy((char*)&hlav->copyright,COPYRIGHT);
  hlav->voss_width = WIDTH;
  //TODO: uvazit moznost ukladani v jinem rozliseni nez zobrazovani:
  hlav->voss_height = HEIGHT;
  hlav->year = Year;
  hlav->month = Month;
  hlav->day = Day;
  hlav->hour = Hour;
  hlav->minute = Min;
  hlav->second = Sec;
  hlav->ssecond = MSec;
  return hlav;
}

void SdigPanel(AnsiString txt) {
  Form1->StatusBar2->Panels->Items[1]->Text = txt;
}

void EzCapturePanel(AnsiString txt) {
  Form1->StatusBar1->Panels->Items[1]->Text = txt;
}

int WriteHead(FILE *fil, t_header *hlav) {
  try {
    fwrite(&hlav->tri,HEAD_LENGTH,1,fil);
    fwrite(&hlav->version,sizeof(hlav->version),1,fil);
    fwrite(&hlav->compressed,sizeof(char),1,fil);
    fwrite(&hlav->compr_eng_ver,sizeof(hlav->compr_eng_ver),1,fil);
    fwrite(&hlav->copyright,COPY_LENGTH,1,fil);
    fwrite(&hlav->voss_width,sizeof(hlav->voss_width),1,fil);
    fwrite(&hlav->voss_height,sizeof(hlav->voss_height),1,fil);
    fwrite(&hlav->year,sizeof(signed int),1,fil);
    fwrite(&hlav->month,sizeof(signed int),1,fil);
    fwrite(&hlav->day,sizeof(signed int),1,fil);
    fwrite(&hlav->hour,sizeof(signed int),1,fil);
    fwrite(&hlav->minute,sizeof(signed int),1,fil);
    fwrite(&hlav->second,sizeof(signed int),1,fil);
    fwrite(&hlav->ssecond,sizeof(signed int),1,fil);
  }
  catch (...){
    return 0;
  }
  return 1;
}

void DispShow(DEV_T FAR *dev, AnsiString *kamukl, TDateTime cas)
{
  Byte *pt; //pointer na radek pBitmap
  unsigned __int16 *p, cisl;  //radek bufferu, jeden pixel
  int y, ukladej = 1;
  //Konverze data a casu:
  Word Year, Month, Day, Hour, Min, Sec, MSec;
  unsigned int iYear, iMonth, iDay, iHour, iMin, iSec, iMSec;
  DecodeTime(cas, Hour, Min, Sec, MSec); DecodeDate(cas,Year,Month,Day);
  iYear = (unsigned int)Year; iMonth = (unsigned int)Month;
  iDay = (unsigned int)Day; iHour = (unsigned int)Hour;
  iMin = (unsigned int)Min; iSec = (unsigned int)Sec; iMSec = (unsigned int)MSec;
  Form2->Caption = (AnsiString)SDIGcaption + " - " + IntToStr(iHour) + ":" + IntToStr(iMin) +
                    ":" + IntToStr(iSec) + "." + IntToStr(iMSec/100);
  //end of - Konverze data a casu
  FILE *fil;
  if (kamukl!=NULL){
    SetCurrentDir(ExtractFilePath(*kamukl));
    if ((fil = fopen(ExtractFileName(*kamukl).c_str(),"wb"))==NULL) {
      Form1->msg("DispShow(): WARNING: Can't open file " + *kamukl +
          ", picture will not be saved.",1);
      ukladej = 0;
    }
    else {  //hlavicka souboru
      t_header *hlavicka = new_header(HEIGHT,iYear,iMonth,iDay,iHour,
                                        iMin,iSec,iMSec,0);
      if (hlavicka == NULL) return;
      if (!WriteHead(fil,hlavicka)) {
        Form1->msg("DispShow(): WARNING: Can't write to " +  *kamukl +
            ", disc full?",1);
        fclose(fil);
        DeleteFile(*kamukl);
        ukladej = 0;
      }
      delete hlavicka;
    }
  }
  p = (unsigned __int16*)buffer;
  pt = (Byte*)pBitmap->ScanLine[0];
  for (int i=0; i<WIDTH; i++) { //pro kazdy pixel treba ztransformovat
    cisl = p[i];
    EVAL(cisl);
    pt[i] = (Byte)(cisl);
  }
  for ( p += bufferpitch * (height_table[1]-height_table[0]), y = 1;
        y < HEIGHT; y++, p += bufferpitch*(height_table[y]-height_table[y-1])) {
    pt = (Byte*)pBitmap->ScanLine[y];
    for (int i=0; i<WIDTH; i++){
      cisl = p[i];
      EVAL(cisl);
      pt[i] = (Byte)(cisl);
    }
  }
  Form2->Canvas->Draw(0,0,pBitmap);
  //ukladani:
  p = (unsigned __int16*)buffer;
  if (kamukl!=NULL && ukladej){
    if (fwrite(p,sizeof(unsigned __int16)*WIDTH,1,fil)!=1) {
      Form1->msg("DispShow(): WARNING: Cant't write to " +  *kamukl + ", disc full?",1);
      fclose(fil);
      DeleteFile(*kamukl);
      ukladej = 0;
    }
    for ( p += bufferpitch * (height_table[1]-height_table[0]), y = 1;
          y < HEIGHT; y++, p += bufferpitch*(height_table[y]-height_table[y-1]))
      if (fwrite(p,sizeof(unsigned __int16)*WIDTH,1,fil)!=1) {
        Form1->msg("DispShow(): WARNING: Can't write to " +  *kamukl + ", disc full?",1);
        fclose(fil);
        DeleteFile(*kamukl);
        ukladej = 0;
      }
    fclose(fil);
  }
  SetCurrentDir(ActualPath);
}

int SetImageHeight(int dy)
{
  if (dy<=0) {
    Form1->msg("SetImageHeight(): ERROR: Vertical resolution must be > 0.",1);
    return 0;
  }
  AnsiString hl = "SetImageHeight(): Vertical resolution change (VOSS 1300): " +
                  IntToStr(dy) + ".";
  Form1->msg(hl,0);
  HEIGHT = dy;
  Form2->Width = WIDTH + 7; Form2->Height = HEIGHT + 26;
  Form2->Image1->Height = HEIGHT;
  Form2->Image1->Width = WIDTH;
  pBitmap->Height = HEIGHT;
  pBitmap->Width = WIDTH;
  return SetSizeTables();
}

void __fastcall TForm1::FormCreate(TObject *Sender)
{
  TIniFile *ini;
  ini = new TIniFile(ChangeFileExt(Application->ExeName, ".INI"));
  Top = ini->ReadInteger( "MainForm", "Y", 0 );
  Left = ini->ReadInteger( "MainForm", "X", 0 );
  HEIGHT = ini->ReadInteger(SDIGcaption, "dispY", 512);
  SDIGdir = ini->ReadString(SDIGcaption, "dirS", ExtractFilePath(Application->ExeName));
  EZdir = ini->ReadString(EZcaption,"dirS",ExtractFilePath(Application->ExeName));
  PrevX = ini->ReadInteger("Preview","X",0);
  PrevY = ini->ReadInteger("Preview","Y",0);
  delete ini;
  ActualPath = ExtractFilePath(Application->ExeName);
  SetCurrentDir(ActualPath);
  g_loging = 1;
  g_exit_win = 0;
  if (FileExists(ActualPath+CAMLOG))
    if (!DeleteFile(ActualPath+CAMLOG))
     ShowMessage("FormCreate(): ERROR: Can't delete file " + ActualPath+CAMLOG + ".");
  StatusBar1->Panels->Items[0]->Text = SDIGcaption;
  StatusBar2->Panels->Items[0]->Text = EZcaption;
  pBitmap = new Graphics::TBitmap();  //bitmapa pro kopirovani SDIG dat
  if (pBitmap==NULL) {
    msg("FormCreate(): ERROR: pBitmap not allocated.",1);
    return;
  }
  SetGrayPalette(pBitmap);
  Form2->Caption = SDIGcaption;
  handlez = 0;
}

void __fastcall TForm1::FormClose(TObject *Sender, TCloseAction &Action)
{
  TIniFile *ini = new TIniFile(ChangeFileExt(Application->ExeName, ".ini"));
  ini->WriteInteger("MainForm", "X", Left);
  ini->WriteInteger("MainForm", "Y", Top);
  ini->WriteInteger("SDIGform", "X", Form2->Left);
  ini->WriteInteger("SDIGform", "Y", Form2->Top);
  ini->WriteInteger("Preview","X",PrevX);
  ini->WriteInteger("Preview","Y",PrevY);
  delete ini;
  if (DriverNapojen || HandleStinitka) EZZavrit();
  DeleteSizeTables();
  Action = caFree;
  g_konec = 1;
  g_pr = 0;
}

void __fastcall TForm1::Button6Click(TObject *Sender)
{
  Form4->DirectoryListBox1->Directory = SDIGdir;
  Form4->DirectoryListBox2->Directory = EZdir;
  AnsiString str;
  if (Form4->ShowModal()!=mrOk) return;
  AnsiString dir_sdig, dir_ez;
  dir_sdig = Form4->DirectoryListBox1->Directory;
  dir_ez = Form4->DirectoryListBox2->Directory;
  SDIGdir = dir_sdig;
  EZdir = dir_ez;
  TIniFile *ini = new TIniFile(ChangeFileExt(Application->ExeName, ".ini"));
  ini->WriteString(SDIGcaption, "dirS", SDIGdir);
  ini->WriteString(EZcaption,"dirS",EZdir);
  delete ini;
}
void EZclose() {
  ezspust = 0;
}void invbit(unsigned int &x, int i)
{
   DWORD k = 1;
   for (int l=1; l<i; k *= 2, l++);
   x ^= k;
}

int SDIGclose(DEV_T FAR *dev) {
  Form1->msg("SDIGclose(): Closing PC Image-SDIG . . .",0);
  unsigned int x;
  x = mvReadDigIO(dev);
  invbit(x,6);
  mvWriteDigIO(dev,x);
  DeleteSizeTables();
  if (!DeviceClose(dev)) Form1->msg("SDIGclose(): Device could not be closed.",1);
  Form1->msg("SDIGclose(): Device PC Image-SDIG closed.",0);
  DisposeInits();
  return 1;
}

void SDIGwhc() {
  Form1->msg("SDIGwhc(): Ok, waiting for external synchronisation.",0);
  AnsiString jm = ExtractFilePath(Application->ExeName)+ININAME, tm, cs, csez;
  int sn = 0, sek = 0, konec = 0;
  TDateTime cas;
  Word Year, Month, Day, Hour, Min, Sec, MSec;
  TIniFile *fil = new TIniFile(jm);
  while (g_pr && !g_konec) {
    if (FileExists(jm)) {
        fil->UpdateFile();
        SdigPanel("EXTERNAL: New command");
        sn = fil->ReadInteger(SECTION,"snimek",0);
        sek = fil->ReadInteger(SECTION,"sekvence",0);
        konec = fil->ReadInteger(SECTION,"konec",0);
        AnsiString txt = "command: snimek = " + IntToStr(sn) + ", sekvence = "
                          + IntToStr(sek)+", konec = "+IntToStr(konec);
        Form1->msg(txt,0);
        while (!DeleteFile(jm)){};
    }
    if (konec) {
      Form1->Button13->Enabled = false;
      g_pr = 0;
      g_exit_win = 1;
      SdigPanel("EXTERNAL: System halt");
    }
    else if (sn && !sek) {
      Form1->Button13->Enabled = true;
      SdigPanel("EXTERNAL: Saving: 1 image");
      sn = sek = 0;
      mvSingleSnap(dev,1);
      cas = Now();
      DecodeTime(cas, Hour, Min, Sec, MSec);
      DecodeDate(cas,Year,Month,Day);
      cs = IntToStr((Year/10)%10)+IntToStr(Year%10)+"_"+IntToStr(Month/10)+IntToStr(Month%10)+
           "_"+IntToStr(Day/10)+IntToStr(Day%10)+"_"+IntToStr(Hour/10)+IntToStr(Hour%10)+"_"+
           IntToStr(Min/10)+IntToStr(Min%10)+"_"+IntToStr(Sec/10)+IntToStr(Sec%10)+
           "."+IntToStr(MSec/100);
      csez = "s_ezcp_"+cs;
      cs   = "s_voss_"+cs;
      cs   = SDIGdir+"\\"+cs+".dig";
      csez = EZdir+"\\"+csez+".bmp";
      Application->ProcessMessages();
      EZStart_Stop_video();
      DispShow(dev,&cs,cas);
      EZuloz(csez);
      EZStart_Stop_video();
    }
    else if (sek && !sn) {
      Form1->Button13->Enabled = false;
      SdigPanel("EXTERNAL: Saving: Sequence of images");
      mvSingleSnap(dev,1);
      cas = Now();
      DecodeTime(cas, Hour, Min, Sec, MSec);
      DecodeDate(cas,Year,Month,Day);
      cs = IntToStr((Year/10)%10)+IntToStr(Year%10)+"_"+IntToStr(Month/10)+IntToStr(Month%10)+
           "_"+IntToStr(Day/10)+IntToStr(Day%10)+"_"+IntToStr(Hour/10)+IntToStr(Hour%10)+"_"+
           IntToStr(Min/10)+IntToStr(Min%10)+"_"+IntToStr(Sec/10)+IntToStr(Sec%10)+
           "."+IntToStr(MSec/100);
      csez = "c_ezcp_"+cs;
      cs   = "c_voss_"+cs;
      cs   = SDIGdir+"\\"+cs+".dig";
      csez = EZdir+"\\"+csez+".bmp";
      Application->ProcessMessages();
      EZStart_Stop_video();
      DispShow(dev,&cs,cas);
      EZuloz(csez);
      EZStart_Stop_video();
    }
    else if (sek && sn || !sn && !sek) {
      cas = Now();
      Form1->Button13->Enabled = true;
      SdigPanel("EXTERNAL: Saving: NO");
      sek = sn = 0;
      mvSingleSnap(dev,1);
      DispShow(dev,NULL,cas);
    }
    Application->ProcessMessages();
  }
  SdigPanel("");
  delete fil;
}

int Turn2IOD(DEV_T FAR *dev) {
  Form1->msg("Turn2IOD(): Set mode: image on demand.",0);
  unsigned int x;
  mvInitDigIO(dev,3);
  x = mvReadDigIO(dev);
  invbit(x,6);
  mvWriteDigIO(dev,x);
  return 1;
}

int CamerasStart() {
	int result;
	char  ErrorString[255];
  Form1->msg("CamerasStart(): Opening devidce PC Image-SDIG",0);
	dev = InitDevice (".\\sdig.ini", &result);
  if (dev == NULL) {
    Form1->msg("CamerasStart(): ERROR: Device PC Image-SDIG not opend: Error no.: "+IntToStr(result),1);
    return 0;
  }
  Form1->msg("CamerasStart(): Device PC Image-SDIG successfully opend.",0);
  ReadError(dev, ErrorString);
  if (strcmp(ErrorString,"")) {
    Form1->msg("CamerasStart(): ERROR: Device PC Image-SDIG sent error no. " + (AnsiString)ErrorString,1);
    return 0;
  }
  if (!InitDyn(dev)) return 0;
  if (!SetImageHeight(HEIGHT)) return 0;
  if (!Turn2IOD(dev)) return 0;
  g_pr = 1;
  if (!EZstart()) return 0;
  SDIGwhc();
  if (!SDIGclose(dev)) return 0;
  return 1;
}

void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
  Timer1->Enabled = false;
  SetImageHeight(HEIGHT);
  Form2->Visible = true;
  AnsiString jm = ExtractFilePath(Application->ExeName)+ININAME;
  g_konec = 0;
  msg("Timer(): Waiting for initialization.",0);
  while (!FileExists(jm) && !g_konec) Application->ProcessMessages();
  if (g_konec) {
    msg("Timer(): Exit without initialization.",0);
    return;
  }
  msg("Timer(): Initialization.",0);
  while (!DeleteFile(jm)) {};
//    msg("Timer(): WARNING: Can't delete file " + jm,1);
  if (!CamerasStart()) { //start expozic
    msg("Timer(): Initialization unsuccessfull.",0);
    return;
  }
  if (g_exit_win) {
    msg("Timer(): System halt . . .",0);
    TCloseAction act = caNone;
    FormClose(Sender, act);
    ExitWindowsEx(EWX_SHUTDOWN,0);
  }
}

void __fastcall TForm1::Button13Click(TObject *Sender)
{
  if (HandleStinitka!=0) capGrabFrameNoStop(HandleStinitka);
  EZStart_Stop_video();
  Form3->ShowModal();
  EZStart_Stop_video();
}
void __fastcall TForm1::FormDblClick(TObject *Sender)
{
  Form2->Visible = !Form2->Visible;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button1Click(TObject *Sender)
{
  Form6->UpDown1->Position = HEIGHT;
  Form6->Edit1->Text = IntToStr(HEIGHT);
  if (Form6->ShowModal()!=mrOk) return;
  int height;
  try {
    height = StrToInt(Form6->Edit1->Text);
  }
  catch (...) {
    ShowMessage("ERROR: "+Form6->Edit1->Text+" is not a valid integer number.");
    return;
  }
  if (height<=0 || height>1024) {
    ShowMessage("ERROR: Image height must lie in <1,1024>");
    return;
  }
  if (HEIGHT != height) {
    HEIGHT = height;
    SetImageHeight(HEIGHT);
  }
  TIniFile *ini = new TIniFile(ChangeFileExt(Application->ExeName, ".ini"));
  ini->WriteInteger(SDIGcaption, "dispY", HEIGHT);
  delete ini;
}
//---------------------------------------------------------------------------


