//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "UnitPr.h"
#include "UnitNahled.h"
#include "Unit1.h"
#include <inifiles.hpp>
#include <vcl.h>

#include <iostream.h>
#include <conio.h>
#include <stdlib.h>

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm3 *Form3;
//---------------------------------------------------------------------------
__fastcall TForm3::TForm3(TComponent* Owner)
  : TForm(Owner)
{
}

unsigned long filesize(FILE *stream)
{
   long curpos, length;
   curpos = ftell(stream);
   fseek(stream, 0L, SEEK_END);
   length = ftell(stream);
   fseek(stream, curpos, SEEK_SET);
   return length;
}

int LoadImg(TImage *obr,AnsiString jmeno) {
  FILE *fil;
  t_header *hlav;
  if ((fil = fopen(jmeno.c_str(),"rb"))==NULL) {
    Form1->msg("LoadImg(): CHYBA: Nelze otevrit soubor.",1);
    return 0;
  }
  if (filesize(fil)<=sizeof(t_header)) {
    Form1->msg("LoadImg(): CHYBA: soubor "+jmeno+" je pravdepodobne poskozen.",1);
    return 0;
  }
  if ((hlav = (t_header*)malloc(sizeof(t_header)))==NULL) {
    Form1->msg("LoadImg(): CHYBA: Nedostatek pameti.",1);
    return 0;
  }
  fread(&hlav->tri,HEAD_LENGTH,1,fil);
  hlav->tri[HEAD_LENGTH] = 0;
  if (strcmp((char*)&hlav->tri,TRI)) {
    Form1->msg("LoadImg(): CHYBA: Nespravny format souboru.",1);
    return 0;
  }
  fread(&hlav->version,sizeof(hlav->version),1,fil);
  if (hlav->version != DIG_VERSION) {
    Form1->msg("LoadImg(): CHYBA: Neodpovida verze souboru DIG",1);
    return 0;
  }
  fread(&hlav->compressed,sizeof(char),1,fil);
  if (hlav->compressed != 'c' && hlav->compressed!=' ') {
    Form1->msg("LoadImg(): CHYBA: Nelze precist stav komprese souboru DIG.",1);
    return 0;
  }
  fread(&hlav->compr_eng_ver,sizeof(hlav->compr_eng_ver),1,fil);
  if (hlav->compr_eng_ver != COMPRESS_ENGINE_VERSION) {
    Form1->msg("LoadImg(): CHYBA: Neodpovida verze komprimacniho enginu.",1);
    return 0;
  }
  fread(&hlav->copyright,COPY_LENGTH,1,fil);
  hlav->copyright[COPY_LENGTH] = 0;
  if (strcmp((char*)&hlav->copyright,COPYRIGHT)) {
    Form1->msg("LoadImg(): CHYBA: Nespravny format souboru.",1);
    return 0;
  }
  fread(&hlav->voss_width,sizeof(hlav->voss_width),1,fil);
  if (hlav->voss_width != WIDTH) {
    Form1->msg("LoadImg(): CHYBA: Neodpovidajici horizontalni rozliseni obrazku.",1);
    return 0;
  }
  fread(&hlav->voss_height,sizeof(hlav->voss_height),1,fil);
  if (hlav->voss_height>MAXHEIGHT || hlav->voss_height<=0) {
    Form1->msg("LoadImg(): CHYBA: Neplatne vertikalni rozliseni obrazku.",1);
    return 0;
  }
  int size = filesize(fil);
  if (size!=HEADER_SIZE + hlav->voss_height * WIDTH * sizeof(unsigned __int16)) {
    Form1->msg("LoadImg(): CHYBA: soubor "+jmeno+" je pravdepodobne poskozen.",1);
    return 0;
  }
  fread(&hlav->year,sizeof(signed int),1,fil);
  fread(&hlav->month,sizeof(signed int),1,fil);
  fread(&hlav->day,sizeof(signed int),1,fil);
  fread(&hlav->hour,sizeof(signed int),1,fil);
  fread(&hlav->minute,sizeof(signed int),1,fil);
  fread(&hlav->second,sizeof(signed int),1,fil);
  fread(&hlav->ssecond,sizeof(signed int),1,fil);
  obr->Picture->Bitmap->PixelFormat = pf8bit;
  SetGrayPalette(obr->Picture->Bitmap);
  obr->Height = hlav->voss_height;
  obr->Width = hlav->voss_width;
  Byte *pt;
  unsigned __int16 *bufr = (unsigned __int16*)malloc(WIDTH * sizeof(unsigned __int16)), *p, cisl;
  int y;
  for (int j=0; j<hlav->voss_height; j++) {
    fread(bufr,WIDTH * sizeof(unsigned __int16),1,fil);
    pt = (Byte*)obr->Picture->Bitmap->ScanLine[j];
    for (int i=0; i<WIDTH; i++){
      cisl = bufr[i];
      EVAL(cisl);
      pt[i] = (Byte)(cisl);
    }
  }
  free(bufr);
  free(hlav);
  fclose(fil);
  return 1;
}

void __fastcall TForm3::FileListBox1Click(TObject *Sender)
{
  if (FileListBox1->Items->Count<=0) return;
  char ext[4];
  AnsiString jme = FileListBox1->FileName;
  jme = ExtractFileExt(jme);
  try{
    if (!strcmpi(jme.c_str(),".dig")) {
      if (!LoadImg(Form5->Image1,FileListBox1->FileName))
        return;
      }
    else if (!strcmpi(jme.c_str(),".bmp"))
      Form5->Image1->Picture->LoadFromFile(FileListBox1->FileName);
    else Form1->msg("FileListBox(): ERROR: Unknown file extesion.",1);
  }
  catch(...){
    Form1->msg("FileListBox(): ERROR: Unrecognized file format.",1);
    return;
  }
  Form5->Width = Form5->Image1->Picture->Width+6;
  Form5->Height = Form5->Image1->Picture->Height+30;
  Form5->Image1->Width = Form5->Image1->Picture->Width;
  Form5->Image1->Height = Form5->Image1->Picture->Height;
  Form5->Caption = FileListBox1->FileName;
  Form5->Show();
}
//---------------------------------------------------------------------------



void __fastcall TForm3::FormClose(TObject *Sender, TCloseAction &Action)
{
  Form5->Hide();
  TIniFile *ini;
  ini = new TIniFile(ChangeFileExt(Application->ExeName, ".INI"));
  ini->WriteInteger("Viewer","X",Left);
  ini->WriteInteger("Viewer","Y",Top);
  delete ini;
}
//---------------------------------------------------------------------------

void __fastcall TForm3::FormCreate(TObject *Sender)
{
    TIniFile *ini;
    ini = new TIniFile(ChangeFileExt(Application->ExeName, ".ini"));
    Left = ini->ReadInteger("Viewer","X",0);
    Top = ini->ReadInteger("Viewer","Y",0);
    delete ini;
    DirectoryListBox1->Directory = ExtractFilePath(Application->ExeName);
}
//---------------------------------------------------------------------------


