//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "about.h"
#include "main.h"
#include "languages.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAboutBox *AboutBox;
//---------------------------------------------------------------------------
__fastcall TAboutBox::TAboutBox(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::emailClick(TObject *Sender)
{
  ShellExecute(Handle,"open","mailto:jiri.stepan@volny.cz",0,0,SW_SHOW);
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::FormCreate(TObject *Sender)
{
  Label2->Caption = IntToStr(MAJOR_VER)+"."+IntToStr(MINOR_VER)+
                    " "+DEBUG_VER;
  //Jakozto posledni vytvoreny formular nacte jazyk, spusti timer:
  Form1->ReadLabels();
  ReadSysInfo();
  Form1->Timer1->Enabled = true;
}
//---------------------------------------------------------------------------

void TAboutBox::Konec(char Key) {
  if (Key == VK_ESCAPE) Close();
}
void __fastcall TAboutBox::Memo1KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);  
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::FormKeyPress(TObject *Sender, char &Key)
{
  Konec(Key);
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::Memo2KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::TabSheet1Show(TObject *Sender)
{
  Memo1->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::TabSheet2Show(TObject *Sender)
{
  Memo2->SetFocus();
}
//---------------------------------------------------------------------------

void TAboutBox::ReadSysInfo() {
  Memo3->Clear();
  char buff[256];
  //System Information Functions
  DWORD size = 255;
  GetComputerName(buff,&size);
  Memo3->Lines->Add(Form1->GetMsg(L_L_COMP_NAME)+": "+buff);
  GetUserName(buff,&size);
  Memo3->Lines->Add(Form1->GetMsg(L_L_USER_NAME)+": "+buff);
  LPOSVERSIONINFO vers = (LPOSVERSIONINFO)malloc(sizeof(OSVERSIONINFO));
  vers->dwOSVersionInfoSize = sizeof(OSVERSIONINFO);
  GetVersionEx(vers);
  AnsiString vidle;
  switch (vers->dwPlatformId) {
    case (VER_PLATFORM_WIN32s): vidle = "Windows 3.1 - ver. "; break;
    case (VER_PLATFORM_WIN32_WINDOWS): vidle = "Windows 95/98/ME -  ver. "; break;
    case (VER_PLATFORM_WIN32_NT): vidle = "Windows NT/2000/XP - ver. "; break;
    default: vidle = "";
  }
  vidle = vidle + vers->dwMajorVersion + "." + vers->dwMinorVersion +
          " "+vers->szCSDVersion;
  Memo3->Lines->Add(Form1->GetMsg(L_L_WIN_VER)+": "+vidle);
  free(vers);
  //procesor:
  LPSYSTEM_INFO sysinfo = (LPSYSTEM_INFO)malloc(sizeof(SYSTEM_INFO));
  GetSystemInfo(sysinfo);
  Memo3->Lines->Add(Form1->GetMsg(L_L_NUMBER_OF_PROCESSORS)+": "+
    sysinfo->dwNumberOfProcessors);
  AnsiString procik;
  switch (sysinfo->dwProcessorType) {
    case (PROCESSOR_INTEL_386): procik = "Intel 386"; break;
    case (PROCESSOR_INTEL_486): procik = "Intel 484"; break;
    case (PROCESSOR_INTEL_PENTIUM): procik = "Intel Pentium"; break;
    case (PROCESSOR_MIPS_R4000): procik = "MIPS R4000"; break;
    case (PROCESSOR_ALPHA_21064): procik = "Alpha 21064"; break;
    default: procik = "<unknown>";
  };
  if (IsProcessorFeaturePresent(PF_MMX_INSTRUCTIONS_AVAILABLE)) procik = procik + " MMX";
  if (procik!="<unknown>") procik = procik + " ("+Form1->GetMsg(L_L_OR_COMPATIBLE)+")";
  Memo3->Lines->Add(Form1->GetMsg(L_L_PROCESSOR_TYPE)+": "+procik);
  free(sysinfo);
  //misto na disku
  #define mega 1000000
  Memo3->Lines->Add(Form1->GetMsg(L_L_DISK_SPACE)+": "+IntToStr(DiskFree(0)/mega)+ " MB");
  //stav pameti
	char buf[16];
	MEMORYSTATUS ms;
  ms.dwLength = sizeof(MEMORYSTATUS);
  GlobalMemoryStatus(&ms);
  	wsprintf (buf, "%d", ms.dwTotalPhys/mega);
  Memo3->Lines->Add(Form1->GetMsg(L_L_PHYS_MEMORY)+": "+buf+" MB");
   	wsprintf (buf, "%d", ms.dwAvailPhys/mega);
  Memo3->Lines->Add(Form1->GetMsg(L_L_AVIABLE_MEMORY)+": "+buf+" MB");
    wsprintf (buf, "%d", ms.dwTotalPageFile/mega);
  Memo3->Lines->Add(Form1->GetMsg(L_L_PAGING_FILE)+": "+buf+" MB");
	  wsprintf (buf, "%d", ms.dwAvailPageFile/mega);
  Memo3->Lines->Add(Form1->GetMsg(L_L_AVIABLE_PAGE)+": "+buf+" MB");
    wsprintf (buf, "%d", ms.dwTotalVirtual/mega);
  Memo3->Lines->Add(Form1->GetMsg(L_L_TOTAL_VIRTUAL)+": "+buf+" MB");
    wsprintf (buf, "%d", ms.dwAvailVirtual/mega);
  Memo3->Lines->Add(Form1->GetMsg(L_L_FREE_VIRTUAL)+": "+buf+" MB");
  #undef mega
}

void __fastcall TAboutBox::TabSheet3Show(TObject *Sender)
{
  Memo3->SetFocus();
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::Memo3KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);
}
//---------------------------------------------------------------------------

void __fastcall TAboutBox::FormShow(TObject *Sender)
{
  ReadSysInfo();  
}
//---------------------------------------------------------------------------

