/**************************************************************************
 *
 *  Copyright (C) 2002 Jiri Stepan <jiri.stepan@volny.cz>.
 *  All Rights Reserved.
 *
 **************************************************************************/
/**************************************************************************
 *
 *  dlgbrws.cpp: Browsing dialog
 *
 *  CAM Source code
 *
 **************************************************************************/


#include <vcl.h>
#pragma hdrstop

#include "dlgbrws.h"
#include "preview.h"
#include "main.h"
#include "languages.h"
#include <inifiles.hpp>
#include <vcl.h>

#include <iostream.h>
#include <conio.h>
#include <stdlib.h>

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm3 *Form3;
//---------------------------------------------------------------------------
__fastcall TForm3::TForm3(TComponent* Owner)
  : TForm(Owner)
{
}

unsigned long filesize(FILE *stream)
{
   long curpos, length;
   curpos = ftell(stream);
   fseek(stream, 0L, SEEK_END);
   length = ftell(stream);
   fseek(stream, curpos, SEEK_SET);
   return length;
}

int TForm3::LoadImg(TImage *obr,AnsiString jmeno) {
  FILE *fil;
  t_header *hlav;
  if ((fil = fopen(jmeno.c_str(),"rb"))==NULL) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_L_CANT_OPEN),1,Form1->c_error);
    return 0;
  }
  if (filesize(fil)<=sizeof(t_header)) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+": "+jmeno+" "+
                Form1->GetMsg(L_DG_PROBABLY_CORRUPTED),1,Form1->c_error);
    return 0;
  }
  if ((hlav = (t_header*)malloc(sizeof(t_header)))==NULL) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_NO_MEMORY),1,Form1->c_error);
    return 0;
  }
  fread(&hlav->tri,HEAD_LENGTH,1,fil);
  hlav->tri[HEAD_LENGTH] = 0;
  if (strcmp((char*)&hlav->tri,TRI)) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_IMPROPER_FORMAT),1,Form1->c_error);
    return 0;
  }
  fread(&hlav->version,sizeof(hlav->version),1,fil);
  if (hlav->version != DIG_VERSION) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_IMPROPER_DIG_VERSION)+" ("+IntToStr(hlav->version)+
    +"/"+IntToStr(DIG_VERSION)+")",1,Form1->c_error);
    return 0;
  }
  fread(&hlav->compressed,sizeof(char),1,fil);
  if (hlav->compressed != 'c' && hlav->compressed!=' ') {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_CANT_READ_COMPRESS),1,Form1->c_error);
    return 0;
  }
  fread(&hlav->compr_eng_ver,sizeof(hlav->compr_eng_ver),1,fil);
  if (hlav->compr_eng_ver != COMPRESS_ENGINE_VERSION) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_COMPR_VER_FAULT),1,Form1->c_error);
    return 0;
  }
  fread(&hlav->copyright,COPY_LENGTH,1,fil);
  hlav->copyright[COPY_LENGTH] = 0;
  if (strcmp((char*)&hlav->copyright,COPYRIGHT)) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_IMPROPER_FORMAT),1,Form1->c_error);
    return 0;
  }
  fread(&hlav->voss_width,sizeof(hlav->voss_width),1,fil);
  if (hlav->voss_width != WIDTH) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_INVALID_H_RESOLUTION),1,Form1->c_error);
    return 0;
  }
  fread(&hlav->voss_height,sizeof(hlav->voss_height),1,fil);
  if (hlav->voss_height>MAXHEIGHT || hlav->voss_height<=0) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_INVALID_V_RESOLUTION),1,Form1->c_error);
    return 0;
  }
  if (filesize(fil)!=HEADER_SIZE + hlav->voss_height * WIDTH * sizeof(unsigned __int16)) {
    Form1->msg("LoadImg(): "+Form1->GetMsg(L_DG_ERROR)+": "+jmeno+" "+
                Form1->GetMsg(L_DG_PROBABLY_CORRUPTED),1,Form1->c_error);
    return 0;
  }
  fread(&hlav->year,sizeof(signed int),1,fil);
  fread(&hlav->month,sizeof(signed int),1,fil);
  fread(&hlav->day,sizeof(signed int),1,fil);
  fread(&hlav->hour,sizeof(signed int),1,fil);
  fread(&hlav->minute,sizeof(signed int),1,fil);
  fread(&hlav->second,sizeof(signed int),1,fil);
  fread(&hlav->ssecond,sizeof(signed int),1,fil);
  Graphics::TBitmap *bmp = new Graphics::TBitmap();
  bmp->PixelFormat = pf8bit;
  Form1->SetGrayPalette(bmp);
  bmp->Width = hlav->voss_width;
  bmp->Height = hlav->voss_height;
  Byte *pt;
  unsigned __int16 *bufr = (unsigned __int16*)malloc(hlav->voss_width * sizeof(unsigned __int16)), *p, cisl;
  int y;
  for (int j=0; j<hlav->voss_height; j++) {
    fread(bufr,hlav->voss_width * sizeof(unsigned __int16),1,fil);
    pt = (Byte*)bmp->ScanLine[j];
    for (int i=0; i<hlav->voss_width; i++){
      cisl = bufr[i];
      EVAL(cisl);
      pt[i] = (Byte)(cisl);
    }
    ProgressBar1->Position = (j*100)/hlav->voss_height;
  }
  obr->Picture->Bitmap->Assign(bmp);
  delete bmp;
  ProgressBar1->Position = 0;
  free(bufr);
  free(hlav);
  fclose(fil);
  return 1;
}

void __fastcall TForm3::FileListBox1Click(TObject *Sender)
{
  if (FileListBox1->Items->Count<=0) return;
  char ext[4];
  AnsiString jme = FileListBox1->FileName;
  jme = ExtractFileExt(jme);
  try{
    if (!strcmpi(jme.c_str(),".dig")) {
      if (!LoadImg(Form5->Image1,FileListBox1->FileName))
        return;
      }
    else if (!strcmpi(jme.c_str(),".bmp"))
      Form5->Image1->Picture->LoadFromFile(FileListBox1->FileName);
    else Form1->msg("FileListBox(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_UNKNOWN_EXTENSION),1,Form1->c_error);
  }
  catch(...){
    Form1->msg("FileListBox(): "+Form1->GetMsg(L_DG_ERROR)+Form1->GetMsg(L_DG_IMPROPER_FORMAT),1,Form1->c_error);  
    return;
  }
  Form5->Image1->Stretch = CheckBox1->Checked;
  if (Form5->Image1->Stretch) {
    Form5->Image1->Width = UpDown1->Position;
    Form5->Image1->Height = UpDown2->Position;
  }
  else {
    Form5->Image1->Width = Form5->Image1->Picture->Width;
    Form5->Image1->Height = Form5->Image1->Picture->Height;
  }
  Form5->Width = Form5->Image1->Width+6;
  Form5->Height = Form5->Image1->Height+30;
  Form5->Caption = FileListBox1->FileName;
  Form5->Show();
  if (Visible) SetFocus();
}
//---------------------------------------------------------------------------

void TForm3::Test() {
  if (CheckBox1->Checked) {
    UpDown1->Enabled = true;
    UpDown2->Enabled = true;
    Edit1->Enabled = true;
    Edit2->Enabled = true;
  }
  else {
    UpDown1->Enabled = false;
    UpDown2->Enabled = false;
    Edit1->Enabled = false;
    Edit2->Enabled = false;
  }
}

void __fastcall TForm3::FormClose(TObject *Sender, TCloseAction &Action)
{
  Form5->Hide();
  TIniFile *ini;
  ini = new TIniFile(ChangeFileExt(Application->ExeName, ".INI"));
  ini->WriteInteger("Preview","X",Left);
  ini->WriteInteger("Preview","Y",Top);
  ini->WriteBool("Preview","ConstSize",CheckBox1->Checked);
  ini->WriteInteger("Preview","W",UpDown1->Position);
  ini->WriteInteger("Preview","H",UpDown2->Position);
  delete ini;
}
//---------------------------------------------------------------------------

void __fastcall TForm3::FormCreate(TObject *Sender)
{
  TIniFile *ini;
  ini = new TIniFile(ChangeFileExt(Application->ExeName, ".ini"));
  Left = ini->ReadInteger("Preview","X",0);
  Top = ini->ReadInteger("Preview","Y",0);
  created = 0;
  CheckBox1->Checked = ini->ReadBool("Preview","ConstSize",false);
  created = 1;
  int w = ini->ReadInteger("Preview","W",256),
      h = ini->ReadInteger("Preview","H",256);
  if (w<0 || w>UpDown1->Max || h<0 || h>UpDown2->Max) w = h = 256;
  UpDown1->Position = w;
  UpDown2->Position = h;
  delete ini;
  DirectoryListBox1->Directory = ExtractFilePath(Application->ExeName);
  Test();
}
//---------------------------------------------------------------------------


void __fastcall TForm3::CheckBox1Click(TObject *Sender)
{
  Test();
  if (!created) return;
  FileListBox1->SetFocus();
  //FileListBox1Click(Sender);
}
//---------------------------------------------------------------------------

void __fastcall TForm3::Edit2KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);
  if (Key==VK_RETURN) {
    FileListBox1->SetFocus();
    FileListBox1Click(Sender);
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm3::Edit1KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);
  if (Key==VK_RETURN) {
    FileListBox1->SetFocus();
    FileListBox1Click(Sender);
  }  
}
//---------------------------------------------------------------------------

void TForm3::Konec(char &Key){
  if (Key==VK_ESCAPE) Close();
}

void __fastcall TForm3::FormKeyPress(TObject *Sender, char &Key)
{
  Konec(Key);
}
//---------------------------------------------------------------------------

void __fastcall TForm3::DriveComboBox1KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);  
}
//---------------------------------------------------------------------------

void __fastcall TForm3::DirectoryListBox1KeyPress(TObject *Sender,
      char &Key)
{
  Konec(Key);  
}
//---------------------------------------------------------------------------

void __fastcall TForm3::FileListBox1KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);  
}
//---------------------------------------------------------------------------

