/**************************************************************************
 *
 *  Copyright (C) 2002 Jiri Stepan <jiri.stepan@volny.cz>.
 *  All Rights Reserved.
 *
 **************************************************************************/
/**************************************************************************
 *
 *  main.h: Main unit for CAM
 *
 *  CAM Source code
 *
 **************************************************************************/

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "CSPIN.h"
#include "include\mv.h"
#include <ComCtrls.hpp>
#include <Buttons.hpp>
#include "Trayicon.h"
#include <ImgList.hpp>
#include <ActnList.hpp>

#define MAJOR_VER 1
#define MINOR_VER 8
#define DEBUG_VER ""

#define ININAME "hsfa.ini"
#define CAMLOG "cam.log"
#define SECTION "1KCCD"
#define SDIGcaption "PCimage-SDIG"
#define VOSScaption "VOSS 1300LN"
#define EZcaption "EZ-Capture"
#define WATECcaption "WATEC WAT 902-H"

#define WIDTH 1280
#define MAXHEIGHT 1024
#define SCALE 256  //prevodni pomer z 12 bitu (v 16) na 8 pro zobrazeni

#define vidPERIOD 33
#define MAXVIDDRIVERS 10
#define capDX 6
#define capDY 25

//polozky hsfa.ini:
#define INI_SINGLE "snimek"
#define INI_SEQUENCE "sekvence"
#define INI_END "konec"

//jazykove mutace:
#define L_CODE_DAT "CAM language list file"
#define L_LABEL "CAM language file"

//defaultni barevna syntaxe
#define C_NORMAL  ((TColor)0xFF0000)
#define C_SDIG    ((TColor)0x3333CC)
#define C_EZ      ((TColor)0x33AACC)
#define C_ERROR   ((TColor)0x0000FF)
#define C_WARNING ((TColor)0xCC6600)

//hlavicka souboru *.dig:
#define DIG_VERSION 2 //verse souboru DIG
#define COMPRESS_ENGINE_VERSION 0
#define HEAD_LENGTH 3
#define COPY_LENGTH 40
#define COPYRIGHT "DIG picture file - (C) 2002 J. S., S. D."
#define TRI "DIG"

#define EVAL(x) {x = x/SCALE;}

#define HEADER_SIZE 88
typedef struct {
  char tri[HEAD_LENGTH];
  signed int version;
  char compressed;
  signed int compr_eng_ver;
  char copyright[COPY_LENGTH];
  signed int voss_width;
  signed int voss_height;
  signed int year;
  signed int month;
  signed int day;
  signed int hour;
  signed int minute;
  signed int second;
  signed int ssecond;
} t_header;


//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *GroupBox1;
  TTimer *Timer1;
  TStatusBar *StatusBar1;
  TStatusBar *StatusBar2;
  TBitBtn *Button1;
  TBitBtn *Button13;
  TBitBtn *Button6;
  TBitBtn *BitBtn1;
  TRichEdit *Memo1;
  TTimer *Timer2;
  TLabel *Label1;
  TLabel *Label2;
  TPopupMenu *PopupMenu1;
  TMenuItem *Obnovit1;
  TMenuItem *N1;
  TMenuItem *Ukonit1;
  TImageList *ImageList1;
  TActionList *ActionList1;
  TAction *AkNastaveni;
  TAction *AkProhlizet;
  TAction *AkVossSetup;
  TAction *AkEZsetup;
        TButton *Button2;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall Button6Click(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall Button13Click(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall StatusBar2Click(TObject *Sender);
  void __fastcall StatusBar1Click(TObject *Sender);
  void __fastcall BitBtn1Click(TObject *Sender);
  void __fastcall Timer2Timer(TObject *Sender);
  void __fastcall Obnovit1Click(TObject *Sender);
  void __fastcall Ukonit1Click(TObject *Sender);
  void __fastcall AkNastaveniExecute(TObject *Sender);
  void __fastcall AkProhlizetExecute(TObject *Sender);
  void __fastcall AkVossSetupExecute(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
//  void __fastcall AkEZsetupExecute(TObject *Sender);

private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
    void __fastcall msg(AnsiString txt, int show, TColor color);
    bool SysTray;
    AnsiString LanguageFile;
    AnsiString ReadLanguageFile(AnsiString lan);
    AnsiString GetStandartMsg(int handle);
    AnsiString GetMsg(int handle);
    AnsiString ActualPath, SDIGdir;//, EZdir;
    void ReadLabels();
    //barvy konzole:
    TColor c_normal, c_sdig, c_ez, c_error, c_warning;
    //EZ-Capture:
/*    int EZVytvorOkno(int x, int y, int w, int h);
    int EZstart();*/
    int CamerasStart();
/*    int EZPocetDriveru();
    int EZInicializaceHardwaru();
    void EZuloz(AnsiString jm);
    void TForm1::EZZavrit(); */
    //SDIG:
    int SetSizeTables();
    int InitDyn(DEV_T FAR* dev);
    DEV_T FAR* InitDevice(char* inifile, int* result);
    short DeviceClose(DEV_T FAR* dev);
    WORD ReadError(DEV_T FAR* dev, char* cErrorMessage);
    t_header* new_header(int HEIGHT,unsigned int Year,unsigned int Month,unsigned int Day,
                unsigned int Hour,unsigned int Min,unsigned int Sec,unsigned int MSec,
                int compress);
    void DispShow(DEV_T FAR *dev, AnsiString *kamukl, TDateTime cas);
    int SetImageHeight(int dy);
    int SDIGclose(DEV_T FAR *dev);
    void whc();
    int Turn2IOD(DEV_T FAR *dev);
    void SetGrayPalette(Graphics::TBitmap *btmp);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;


//---------------------------------------------------------------------------
#endif
