/**************************************************************************
 *
 *  Copyright (C) 2002 Jiri Stepan <jiri.stepan@volny.cz>.
 *  All Rights Reserved.
 *
 **************************************************************************/
/**************************************************************************
 *
 *  setupdir.cpp: Setup directories dialog
 *
 *  CAM Source code
 *
 **************************************************************************/

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include <inifiles.hpp>
#include "setupdir.h"
#include "main.h"
#include "language.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm4 *Form4;
//---------------------------------------------------------------------------
__fastcall TForm4::TForm4(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm4::FormShow(TObject *Sender)
{
  Vybarvi((int)Form1->c_normal,Image1);
  Vybarvi((int)Form1->c_warning,Image2);
  Vybarvi((int)Form1->c_error,Image3);
  Vybarvi((int)Form1->c_sdig,Image4);
  Vybarvi((int)Form1->c_ez,Image5);
  CheckBox1->Checked = Form1->SysTray;
  Combo->Clear();
  Combo->Sorted = true;
  //vyhledani vsech *.lng souboru:
  TSearchRec F;
  if (FindFirst(ExtractFilePath(Application->ExeName)+"*.lng",0,F) != 0) return;
  TIniFile *ini = new TIniFile(ExtractFilePath(Application->ExeName)+"langcode.dat");
  if (ini->ValueExists("Languages",ChangeFileExt(F.Name,"")))
    Combo->Items->Add(ini->ReadString("Languages",ChangeFileExt(F.Name,""),"<unrecognized>")+", ["+ChangeFileExt(F.Name,"")+"]");
  while (FindNext(F)==0) {
    if (ini->ValueExists("Languages",ChangeFileExt(F.Name,"")))
      Combo->Items->Add(ini->ReadString("Languages",ChangeFileExt(F.Name,""),"<unrecognized>")+", ["+ChangeFileExt(F.Name,"")+"]");
  }
  FindClose(F);
  delete ini;
}
//---------------------------------------------------------------------------

void __fastcall TForm4::DirectoryListBox1KeyPress(TObject *Sender,
      char &Key)
{
  Konec(Key);
}
//---------------------------------------------------------------------------

void TForm4::Konec(char Key) {
  if (Key==VK_RETURN) Button1->Click();
  else if (Key==VK_ESCAPE) Button2->Click();
}
void __fastcall TForm4::DriveComboBox1KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);
}
//---------------------------------------------------------------------------

void __fastcall TForm4::DriveComboBox2KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);
}
//---------------------------------------------------------------------------

void __fastcall TForm4::DirectoryListBox2KeyPress(TObject *Sender,
      char &Key)
{
  Konec(Key);
}
//---------------------------------------------------------------------------

void TForm4::Vybarvi(int color, TImage *image) {
  if (color<0) return;
  image->Canvas->Brush->Color = (TColor)color;
  image->Canvas->FillRect(Rect(0,0,image->Width,image->Height));
}

int TForm4::VratBarvu(TColor barva) {
  ColorDialog1->Color = barva;
  if (!ColorDialog1->Execute()) return -1;
  else return (int)ColorDialog1->Color;
}

void __fastcall TForm4::Image1Click(TObject *Sender)
{
  Vybarvi(VratBarvu(Image1->Canvas->Brush->Color),Image1);
}
//---------------------------------------------------------------------------

void __fastcall TForm4::Image2Click(TObject *Sender)
{
  Vybarvi(VratBarvu(Image2->Canvas->Brush->Color),Image2);
}
//---------------------------------------------------------------------------

void __fastcall TForm4::Image3Click(TObject *Sender)
{
  Vybarvi(VratBarvu(Image3->Canvas->Brush->Color),Image3);
}
//---------------------------------------------------------------------------

void __fastcall TForm4::Image4Click(TObject *Sender)
{
  Vybarvi(VratBarvu(Image4->Canvas->Brush->Color),Image4);
}
//---------------------------------------------------------------------------

void __fastcall TForm4::Image5Click(TObject *Sender)
{
  Vybarvi(VratBarvu(Image5->Canvas->Brush->Color),Image5);
}
//---------------------------------------------------------------------------

void __fastcall TForm4::ComboKeyPress(TObject *Sender, char &Key)
{
  Konec(Key);
}
//---------------------------------------------------------------------------

void __fastcall TForm4::CheckBox1KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);  
}
//---------------------------------------------------------------------------

void __fastcall TForm4::Button1KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);  
}
//---------------------------------------------------------------------------

void __fastcall TForm4::Button2KeyPress(TObject *Sender, char &Key)
{
  Konec(Key);  
}
//---------------------------------------------------------------------------

void __fastcall TForm4::FormKeyPress(TObject *Sender, char &Key)
{
  Konec(Key);  
}
//---------------------------------------------------------------------------

