//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include "CSPIN.h"
#include "include\mv.h"
#include <ComCtrls.hpp>

#define ININAME "hsfa.ini"
#define CAMLOG "cam.log"
#define SECTION "1KCCD"
#define SDIGcaption "PCimage-SDIG"
#define VOSScaption "VOSS 1300LN"
#define EZcaption "EZ-Capture"
#define WATECcaption "WATEC WAT 902-H"

#define WIDTH 1280
#define MAXHEIGHT 1024
#define SCALE 256  //prevodni pomer z 12 bitu (v 16) na 8 pro zobrazeni

#define vidPERIOD 33
#define MAXVIDDRIVERS 10
#define capDX 6
#define capDY 25

//hlavicka souboru *.dig:
#define DIG_VERSION 1 //verse souboru DIG
#define COMPRESS_ENGINE_VERSION 0
#define HEAD_LENGTH 3
#define COPY_LENGTH 58
#define COPYRIGHT "DIG data file - (C) 2002 Jiri Stepan, Space Devices s.r.o."
#define TRI "DIG"

#define EVAL(x) {x = x/SCALE;}

#define HEADER_SIZE 106
typedef struct {
  char tri[HEAD_LENGTH];
  signed int version;
  char compressed;
  signed int compr_eng_ver;
  char copyright[COPY_LENGTH];
  signed int voss_width;
  signed int voss_height;
  signed int year;
  signed int month;
  signed int day;
  signed int hour;
  signed int minute;
  signed int second;
  signed int ssecond;
} t_header;


//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *GroupBox1;
        TGroupBox *GroupBox2;
        TButton *Button9;
  TTimer *Timer1;
  TButton *Button13;
  TMemo *Memo1;
  TStatusBar *StatusBar1;
  TStatusBar *StatusBar2;
  TButton *Button6;
  TButton *Button1;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall Button6Click(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall Button13Click(TObject *Sender);
  void __fastcall FormDblClick(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);

private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
    void __fastcall msg(AnsiString txt, int show);    
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;

void SetGrayPalette(Graphics::TBitmap *btmp);
void EzCapturePanel(AnsiString txt);
void EZclose();
//---------------------------------------------------------------------------
#endif
