//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "Unit3.h"
#include "inifiles.hpp"

#pragma package(smart_init)
//---------------------------------------------------------------------------

__fastcall Tvidcap::Tvidcap(bool CreateSuspended)
  : TThread(CreateSuspended)
{
  DriverNapojen = false;
  Snimam = false;
  OknoViditelne = false;
  HandleStinitka = 0;
}
//---------------------------------------------------------------------------
void __fastcall Tvidcap::Execute()
{
  TIniFile *ini = new TIniFile( ChangeFileExt(Application->ExeName,".ini") );
  if (!VytvorOkno(ini->ReadInteger(EZcaption,"X",0),ini->ReadInteger(EZcaption,"Y",0),
                  ini->ReadInteger(EZcaption,"W",320),ini->ReadInteger(EZcaption,"H",240))) {
    ShowMessage("Tvidcap::Execute(): ERROR: Cannot create EZ-Capture window");
    return;
  }
  PocetDriveru();
  if (gDriverCount==0) {
    ShowMessage("Tvidcap::Execute(): ERROR: No driver");
    DestroyWindow(HandleStinitka);
    HandleStinitka = 0;
    return;
  }
  if (!InicializaceHardwaru()) {
    ShowMessage("Tvidcap::Execute(): ERROR: Cannot find capture drivers");
    DestroyWindow(HandleStinitka);
    HandleStinitka = 0;
    return;
  }
  Start_Stop_video();
}
//---------------------------------------------------------------------------

int Tvidcap::VytvorOkno(int x, int y, int w, int h) {
  if (HandleStinitka) return 0;
  HandleStinitka = capCreateCaptureWindow("WATEC: EZ-Capture",
    WS_OVERLAPPED|WS_POPUP|WS_VISIBLE|WS_BORDER|WS_DLGFRAME,
    x,y,w+capDX,h+capDY,Form1->Handle,0);
  if (!HandleStinitka) return 0;
  else {
    OknoViditelne = true;
    return 1;
  }
}

int Tvidcap::PocetDriveru()
{
  char Verze[80];
  char VerzeDriveru[160];
  gDriverCount = 0;
  for (int i = 0; i < MAXVIDDRIVERS; i++) {
    if (capGetDriverDescription(i,(LPSTR)VerzeDriveru, sizeof(VerzeDriveru),
                                  (LPSTR)Verze, sizeof(Verze))) gDriverCount++;
  }
  return gDriverCount;
}

int Tvidcap::InicializaceHardwaru() {
  if (!capDriverConnect(HandleStinitka, 0)) { //inicializuji vzdy driver #0 */
    DriverNapojen = false;
    return 0;
  }
  else DriverNapojen = true;
  capDriverGetCaps(HandleStinitka,&gCapDriverCaps,sizeof(CAPDRIVERCAPS)); //nacist vlastnosti
  capGetStatus(HandleStinitka,&gCapStatus,sizeof(gCapStatus));
  capPreviewRate(HandleStinitka,vidPERIOD);
  //TODO: Tohle by se dalo pouzit:
  //capSetVideoFormat(HandleStinitka,FormatVystupu,sizeof(BITMAPINFO));
  //capGrabFrame
  return 1;
}

int Tvidcap::Start_Stop_video() {
  if (!DriverNapojen) return 0;
  Snimam = !Snimam;
  capPreview(HandleStinitka,(BOOL)Snimam);  //transfer pres pamet
  capOverlay(HandleStinitka,FALSE);  //Overlay vzdy vypnut
  return 1;
}

void Tvidcap::Zobrazit_Skryt() {
  if (!DriverNapojen) return;
  if (OknoViditelne) {
    ShowWindow(HandleStinitka,SW_HIDE);
    OknoViditelne = false;
  }
  else {
    ShowWindow(HandleStinitka,SW_SHOW);
    OknoViditelne = true;
  }
}

void __fastcall Tvidcap::Zavrit(TObject *Object) {
  if (!DriverNapojen || !HandleStinitka) return;
  capDriverDisconnect(HandleStinitka);
  DestroyWindow(HandleStinitka);
}
