/*
     Display module for toturial

     Functions:
	dispImage() 	- define image pointer and size
	dispShow()	- generates the window one time and shows the image defined with dispImage()
                          if the window is already created it only refresh the window
	dispRefresh()   - the window refresh will be done automaticly every n ms until this function is
                          called with 0


*/



#ifndef __DISP_H__
#define __DISP_H__

#if defined(__cplusplus)
extern "C" {
#endif



#ifndef DISP_DLL
#define _DISP_IMPEXP  __declspec(dllimport)
#else /* only for building the DLL */
#define _DISP_IMPEXP  __declspec(dllexport)
#endif

typedef void* HDISP ;


_DISP_IMPEXP HDISP __stdcall dispImage( HDISP hDisp, void * pStart, int width, int height, int bit_per_pixel, int line_incr /*=0*/ );
_DISP_IMPEXP void __stdcall dispShow( HDISP hDisp );
_DISP_IMPEXP void __stdcall dispRefresh( HDISP hDisp, int time_ms );

// extended functions
_DISP_IMPEXP HWND __stdcall dispGetHWnd( HDISP hDisp ); // returns window handle of the display window

typedef void (__stdcall *ONDRAW_T)( LPPAINTSTRUCT lpPaint, HDC hdc, void* par );
_DISP_IMPEXP BOOL __stdcall dispSetDrawFunc( HDISP hDisp, ONDRAW_T onDrawFunc, void* par, ONDRAW_T *pOldFunc, void** pOldPar );


#if defined(__cplusplus)
}
#endif


#endif // __DISP_H__